---
search:
  tags:
    - Component variables
    - DELETE
seo:
  description: >-
    Deletes a variable… Reference for the DELETE
    /project/{project_id}/environment/{environment_id}/component/variable/{variable_id}
    endpoint in the Platform API.
sidebar:
  label: Delete a component variable
  badge: DELETE
title: Delete a component variable
type: openapi-operation
---
Deletes a variable from the component.

`DELETE /project/{project_id}/environment/{environment_id}/component/variable/{variable_id}`

**Responses**

- `204` — Variable deleted successfully
- `default` — Error
